Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
loc2210

[Hỏi] Tìm tọa độ giao điểm giữa đuờng Spline và Line

Các bài được khuyến nghị

loc2210    0

Các bạn cho mình hỏi , bây giời mình có 1 đường spline và tọa độ điểm đầu điểm , cuối của đường thằng

làm thể nào mình có thể lấy được tọa độ giao điểm giữa đường spline và 2 tọa độ điểm đó

thanks bạn

Chỉnh sửa theo ketxu
Đặt tiêu đề sai quy định

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoan2182    836

Các bạn cho mình hỏi , bây giời mình có 1 đường spline và tọa độ điểm đầu điểm , cuối của đường thằng

làm thể nào mình có thể lấy được tọa độ giao điểm giữa đường spline và 2 tọa độ điểm đó

thanks bạn

Có một cách làm thủ công là vẽ cả hai đường đó ra rồi dùng lênh trim! Trim xong dùng lệnh ID để xem tọa độ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Các bạn cho mình hỏi , bây giời mình có 1 đường spline và tọa độ điểm đầu điểm , cuối của đường thằng

làm thể nào mình có thể lấy được tọa độ giao điểm giữa đường spline và 2 tọa độ điểm đó

thanks bạn

Đây là cách tìm điểm giao của 1 Spline với đoạn thẳng đi qua 2 điểm.

(defun C:GIAO()
(setq en1 (car (entsel "\nChon duong Spline: ")))
(setq p1 (getpoint "\nChon diem thu nhat: "))
(setq p2 (getpoint "\nChon diem thu hai: "))
(setq en2 (entmakex (list '(0 . "LINE") (cons 10 P1) (cons 11 P2))))
(setq pgiao (car (acet-geom-intersectwith en1 en2 0)))
(command "erase" en2 "")
(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

Các bạn cho mình hỏi , bây giời mình có 1 đường spline và tọa độ điểm đầu điểm , cuối của đường thằng

làm thể nào mình có thể lấy được tọa độ giao điểm giữa đường spline và 2 tọa độ điểm đó

thanks bạn

Đây là cách tìm điểm giao của 1 Spline với đoạn thẳng đi qua 2 điểm.

(defun C:GIAO()
(setq en1 (car (entsel "\nChon duong Spline: ")))
(setq p1 (getpoint "\nChon diem thu nhat: "))
(setq p2 (getpoint "\nChon diem thu hai: "))
(setq en2 (entmakex (list '(0 . "LINE") (cons 10 P1) (cons 11 P2))))
(setq pgiao (car (acet-geom-intersectwith en1 en2 [b]0[/b])))
(command "erase" en2 "")
(princ))

Nếu loc22210 sử dụng ACET, bạn cần lưu ý thêm :

- Lisp chỉ chạy khi CAD có cài Express Tool

- Về hàm acet-geom-intersectwith : có thể tùy biến mà sử dụng đối số 0.

Cú pháp:

(acet-geom-intersectwith en1 en2 flag)

 

Ghi chú:

- en1, en2 : ename đối tượng 1, 2

- flag : Số Integer thể hiện chế độ tìm giao, gồm :

+ 0: Không kéo dài đối tượng nào

+ 1: Kéo dài đối tượng en1

+ 2: Kéo dài đối tượng en2

+ 3: Kéo dài cả 2 đối tượng

- Thứ tự các giao điểm sắp xếp theo chiều en1

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.374

Có hàm nào tìm giao của cả 1 nhóm đối tượng bất kỳ và tìm giao của một đối tượng với 1 nhóm đối tượng bất kỳ không ketxu?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

Hàm sẵn có thì hình như là không bác ạ. Cần dùng thì ta tự viết thôi ^^ Chắc cũng ngắn thôi ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×